Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.foundation.expression
Class SortCriteria

    java.lang.Object
      com.beasys.commerce.foundation.expression.SortCriteria

Deprecated Use `SortCriteria` instead.

    public class SortCriteria

extends Object

A little class which handles the sortBy part of a Search.

This object represents a single sort criteria, which is a property name and an ascending/descending flag. The class provides a utility method to parse a sortBy string into an array of SortCriteria.

Field Summary
`boolean` | `isAscending` Deprecated The ascending or descending order.
`String` | `property` Deprecated The property name to sort on.
`String` | `scope` Deprecated The property scope name.

Constructor Summary
`SortCriteria(String property)` Deprecated Constructor.
`SortCriteria(String property, boolean isAscending)` Deprecated Constructor.
`SortCriteria(String scope, String property, boolean isAscending)` Deprecated Constructor.

Method Summary
`static SortCriteria[]` | `getSortCriteria(String sortBy)` Deprecated Parse the given sort string and return an array of SortCriteria.
`String` | `toString()` Deprecated Convert to a string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### scope

    public String scope

  Deprecated
  The property scope name.

### property

    public String property

  Deprecated
  The property name to sort on.

### isAscending

    public boolean isAscending

  Deprecated
  The ascending or descending order.

Constructor Detail

### SortCriteria

    public SortCriteria(String scope,
                        String property,
                        boolean isAscending)

  Deprecated
  Constructor.

### SortCriteria

    public SortCriteria(String property,
                        boolean isAscending)

  Deprecated
  Constructor.

### SortCriteria

    public SortCriteria(String property)

  Deprecated
  Constructor.

Method Detail

### getSortCriteria

    public static SortCriteria[] getSortCriteria(String sortBy)
                                          throws IllegalArgumentException

  Deprecated
  Parse the given sort string and return an array of SortCriteria.

  Parameters
    `sortBy` - the sort string (e.g. "identifier ASC, creationDate DESC").
  Returns
    the array of SortCriteria.
  Throws
    `IllegalArgumentException` - thrown on an invalid sortBy string.

### toString

    public String toString()

  Deprecated
  Convert to a string.

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.